# List end users (/data-api/api-reference/listEndUsers)

List end users

## GET /v1/end-users

**List end users**

List end users

**Tags:** end-users, public

### Parameters

| Name | In | Type | Required | Description |
|------|----|------|----------|-------------|
| `email` | query | string | No | Email address to filter end users by |

### Responses

**200:** OK response.

**Example:**
```json
[
  {
    "email": "john_starmer@gmail.com",
    "id": "482c0e2b-5866-46b1-b795-220b7bba45b5",
    "name": "John Starmer",
    "phone": "+614123456789"
  },
  {
    "email": "john_starmer@gmail.com",
    "id": "482c0e2b-5866-46b1-b795-220b7bba45b5",
    "name": "John Starmer",
    "phone": "+614123456789"
  }
]
```

**401:** unauthorized: Unauthorized response.

| Field | Type | Description |
|-------|------|-------------|
| `fault` | boolean | Is the error a server-side fault? |
| `id` | string | ID is a unique identifier for this particular occurrence of the problem. |
| `message` | string | Message is a human-readable explanation specific to this occurrence of the problem. |
| `name` | string | Name is the name of this class of errors. |
| `temporary` | boolean | Is the error temporary? |
| `timeout` | boolean | Is the error a timeout? |

### Example Request
```bash
curl -X GET "https://api.fiskil.com/v1/end-users" \
  -H "Authorization: Bearer YOUR_TOKEN"
```